<%@ Control Language="C#" AutoEventWireup="false" Inherits="DevPCI.Modules.DDT_LastContentModifiedOnDate.Settings" Codebehind="Settings.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/labelcontrol.ascx" %>
<%@ Register Assembly="DotNetNuke.Web" Namespace="DotNetNuke.Web.UI.WebControls"
    TagPrefix="DNN" %>

<div class="dnnForm">
    <asp:Label ID="LblIntro" runat="server" CssClass="dnnFormMessage dnnFormInfo" ResourceKey="Intro" />
    <fieldset>
<div class="dnnFormItem">
        <dnn:Label runat="server" ControlName="cbIncludeThisModuleCB" ResourceKey="IncludeThisModule" Text="Exclude This Module" suffix=":"/>
<asp:CheckBox ID="cbIncludeThisModule" runat="server" 
            oncheckedchanged="cbIncludeThisModule_CheckedChanged" 
            AutoPostBack="True" />
    </div>
<div class="dnnFormItem">
    <dnn:Label runat="server" ControlName="lblClearCache" ResourceKey="ClearCache" Text="Clear Cache" suffix=":"/>
    <asp:LinkButton ID="ClearPageCache" runat="server" 
        onclick="ClearPageCache_Click" CssClass="dnnPrimaryAction" Text="Clear Cache" ResourcesKey="ClearPageCache"></asp:LinkButton>
    </div>
<asp:PlaceHolder ID="PHInclude" runat="server" Visible="false">
    <div class="dnnFormItem">
    <dnn:Label runat="server" ControlName="lblUpdateandClearCache" ResourceKey="UpdateAndClearCache" Text="Update date(now) and Clear page Cache" suffix=":"/>
    <asp:LinkButton ID="UpdateModuleClearPageCache" runat="server" 
        onclick="UpdateModuleClearPageCache_Click" CssClass="dnnPrimaryAction" Text="Update and Clear Cache" ResourcesKey="ClearCache"></asp:LinkButton>
    </div>

 <%--Next Version, with date picker (since dnn 6.1.4)    
        <div class="dnnFormItem">
            <asp:Label ID="Label1" runat="server" CssClass="dnnFormLabel" AssociatedControlID="StartDatePicker" Text="Pick a date" />
            <dnn:DnnDatePicker runat="server" CssClass="dnnFormInput" ID="StartDatePicker" />
        </div>
--%>
</asp:PlaceHolder>   
</fieldset>

</ul>